%define prefix /usr
%define name aaphoto
%define version 0.45
%define release %mkrel 1
%define url http://log69.com/aaphoto_en.html

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Graphics
URL:		%{url}
Source:		%{name}_sources_%{version}.tar.xz
Summary:	Automatic photo adjusting software (CLI)
Summary(de):	Automatische Anpassung Foto-Software (CLI)
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}jpeg-devel %{_lib}jasper-devel %{_lib}bzip2-devel %{_lib}png-devel libgomp-devel
Obsoletes:	%name < %version

%description
aaPhoto (CLI) (Auto Adjust Photo) corrects the colors of the image
and generates a new image file on the disk. Two main functions:
automatic color correction and resizing!

The program tries to give a solution for the automatic color
correction of photos. This means setting the contrast, color
balance, saturation and gamma levels of the image by analization.

This can be a solution for those kind of users who are not able
to manage and correct images with complicated graphical softwares,
or just simply don't intend to spend a lot of time with manually
correcting the images one-by-one.

The program handles the following image formats: mif, pnm /
pgm / ppm, bmp, ras, jp2, jpc, jpg, png



#german
%description -l de
aaPhoto (CLI) (Auto Adjust Foto) korrigiert die Farben des
Bildes und erzeugt eine neue Image-Datei auf der Festplatte.
Zwei wesentliche Funktionen: automatische Farbkorrektur und
Größenänderung!

Das Programm versucht, eine Lösung für die automatische
Farbkorrektur von Fotos zu geben. Dies bedeutet die Einstellung
Kontrast, Farbbalance, Sättigung und Gamma-Werte des Bildes
werden durch analization ausgegeben.

Nutzer die sich nicht mit graphischen Software wie GIMP
auskennen, oder einfach nicht die Zeit aufbringen können,
Bilder manuell zu korrigieren.

Das Programm verarbeitet die folgenden Bildformate:
mif, PNM / pgm / ppm, bmp, ras, JP2, JPC, jpg, png


%prep

%setup -q -n %{name}-%{version}

%build

CFLAGS="-fno-openmp -Wno-unknown-pragmas -U__OPENMP__" ./configure \
  --prefix=%{_prefix}

%make 

%install
rm -rf $RPM_BUILD_ROOT

#seamless isn't correctly working ::)
#%makeinstall_std 
#alternative install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}


mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=AutoAdjust Photo
Name[de]=AutoAdjust Photo
Comment=Automatic photo adjusting
Comment[de]=Automatische Foto Korrektur
Encoding=UTF-8
MimeType=image/jpeg;image/mif;image/PNM;image/pgm;image/ppm;image/bmp;image/ras;image/JP2;image/JPC;image/jpg;image/png
Icon=image_processing_section.png
Exec=%{name} -a %f
NoDisplay=true
Categories=Graphics;Utility;Core;GTK;Viewer;RasterGraphics;2DGraphics;Photography;X-MandrivaLinux-Multimedia-Graphics;
X-Desktop-File-Install-Version=0.38
EOF

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc ChangeLog COPYING COPYRIGHT LICENSE NEWS README
%{_datadir}/applications/*

%clean
rm -rf %{buildroot}
#rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu May 31 2018 adrianomorselli <adrianomorselli> 0.45-1uplos2018
- update
